Bug 963078 - Review Request: ibus-rime - Rime Input Method Engine for IBus
Review Request: ibus-rime - Rime Input Method Engine for IBus
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 963074 963077
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 02:08 EDT by Peng Wu
Modified: 2013-09-24 23:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: ibus-rime-0.9.9-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-27 20:59:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peng Wu 2013-05-15 02:08:54 EDT
Spec URL: http://pwu.fedorapeople.org/rime/ibus-rime.spec
SRPM URL: http://pwu.fedorapeople.org/rime/ibus-rime-0.9.9-1.fc18.src.rpm
Description: ibus-rime: Rime Input Method Engine for Linux/IBus
Fedora Account System Username:pwu
Comment 1 Jens Petersen 2013-05-21 04:32:05 EDT
Please mention in the summary/description what this engine is for.

The current 
---
Summary:        Rime Input Method Engine for Linux/IBus
%description
ibus-rime: Rime Input Method Engine for Linux/IBus
----
does not really explain what it is...

I would be good to include zh translations of the Summary and Description too.

https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#summary
Comment 2 Parag AN(पराग) 2013-05-21 12:47:13 EDT
Review:

+ mock build succeeded for rawhide

+ rpmlint on rpms gave
ibus-rime.src: W: invalid-url Source0: http://rimeime.googlecode.com/files/ibus-rime-0.9.9.tar.gz HTTP Error 404: Not Found
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ Source verified with upstream as 
http://rimeime.googlecode.com/files/ibus-rime-0.9.9.tar.gz :
  CHECKSUM(SHA256) this package     : 5bbb76abc763bdd3c83a5fe594f1488b34377b34b3f6e3c8c7b5cf86ab550cad
  CHECKSUM(SHA256) upstream package : 5bbb76abc763bdd3c83a5fe594f1488b34377b34b3f6e3c8c7b5cf86ab550cad

suggestions:
1) remove unnecessary comments from spec

2) fix the issue raised in comment#1

3) Add ChangeLog to %doc
Comment 3 Peng Wu 2013-05-22 01:41:44 EDT
Fixed, please review it again, thanks.
Spec URL: http://pwu.fedorapeople.org/rime/ibus-rime.spec
SRPM URL: http://pwu.fedorapeople.org/rime/ibus-rime-0.9.9-2.fc18.src.rpm
Comment 4 Parag AN(पराग) 2013-05-23 00:06:00 EDT
only thing remaining is to own the directory /usr/share/ibus-rime/ and /usr/share/ibus-rime/icons

you can simply write in %files which owns both directories
%{_datadir}/ibus-rime/

APPROVED.
Comment 5 Peng Wu 2013-05-23 02:00:17 EDT
Okay, I will fix it when importing.
Comment 6 Peng Wu 2013-05-23 02:04:29 EDT
New Package SCM Request
=======================
Package Name: ibus-rime
Short Description: Rime Input Method Engine for IBus
Owners: pwu
Branches: f18 f19
InitialCC: i18n-team petersen
Comment 7 Gwyn Ciesla 2013-05-23 08:57:52 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-05-24 21:49:01 EDT
ibus-rime-0.9.9-2.fc18,brise-0.22-2.fc18,librime-0.9.8-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-rime-0.9.9-2.fc18,brise-0.22-2.fc18,librime-0.9.8-2.fc18
Comment 9 Fedora Update System 2013-05-24 21:49:21 EDT
ibus-rime-0.9.9-2.fc19,brise-0.22-2.fc19,librime-0.9.8-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ibus-rime-0.9.9-2.fc19,brise-0.22-2.fc19,librime-0.9.8-2.fc19
Comment 10 Fedora Update System 2013-05-25 15:02:42 EDT
ibus-rime-0.9.9-2.fc19, brise-0.22-2.fc19, librime-0.9.8-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 11 Fedora Update System 2013-05-27 20:59:26 EDT
ibus-rime-0.9.9-2.fc18, brise-0.22-2.fc18, librime-0.9.8-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 12 Fedora Update System 2013-05-27 22:16:38 EDT
ibus-rime-0.9.9-2.fc19, brise-0.22-2.fc19, librime-0.9.8-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.